Get call flow settings
Trillet OEM API: Needs resources:read.
GET
Needs resources:read. A setting the call flow has never stored is returned as null.
Loading code example
Loading code example
Authorizations
Authorizationstringheaderrequired
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
tenantIdstringrequired
The tenant ID.
Pattern:
^[a-fA-F0-9]{24}$callFlowIdstringrequired
A call flow in the tenant. For a node flow, pathway._id from GET /v2/api/node-graphs/{id}.
Pattern:
^[a-fA-F0-9]{24}$Response
application/json
The settings.
objectstringrequiredcallFlowIdstringrequiredPattern:
^[a-fA-F0-9]{24}$tenantIdstringrequiredPattern:
^[a-fA-F0-9]{24}$greetingobjectgreeting.inboundobjectgreeting.outboundobjectgreeting.delaySecondsnumber | nullRequired range:
x >= 0, x <= 5speechobjectspeech.responsivenessnumber | nullRequired range:
x >= 1, x <= 10speech.interruptionSensitivitynumber | nullRequired range:
x >= 1, x <= 10recordingobjectrecording.enabledboolean | nullcallHandlingobjectcallHandling.maxCallDurationSecondsinteger | nullRequired range:
x >= 10, x <= 1800callHandling.checkInAfterSeconds10 | 20 | 30 | nullAllowed values:
10 | 20 | 30 | nullcallHandling.checkInAttempts0 | 1 | 2 | 3 | nullAllowed values:
0 | 1 | 2 | 3 | nullcallHandling.hangUpAfterCheckInSeconds10 | 20 | 30 | nullAllowed values:
10 | 20 | 30 | nullupdatedAtstring | null<date-time>Last updated on